Bug 512131 (CVE-2009-2463) - CVE-2009-2463 Mozilla Base64 decoding crash
Summary: CVE-2009-2463 Mozilla Base64 decoding crash
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-2463
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: impact=critical,source=mozilla,report...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-16 14:08 UTC by Josh Bressers
Modified: 2019-06-08 12:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 17:14:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1162 normal SHIPPED_LIVE Critical: firefox security update 2009-07-22 01:26:00 UTC
Red Hat Product Errata RHSA-2009:1163 normal SHIPPED_LIVE Critical: seamonkey security update 2009-07-22 01:29:55 UTC
Red Hat Product Errata RHSA-2010:0153 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-03-17 12:38:49 UTC
Red Hat Product Errata RHSA-2010:0154 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-03-17 13:22:56 UTC

Description Josh Bressers 2009-07-16 14:08:08 UTC
Mozilla developers and community members identified and fixed several
stability bugs in the browser engine used in Firefox and other
Mozilla-based products. Some of these crashes showed evidence of memory
corruption under certain circumstances and we presume that with enough
effort at least some of these could be exploited to run arbitrary code.

monarch2020 reported an integer overflow in a base64 decoding function.

Comment 2 errata-xmlrpc 2009-07-22 01:26:06 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 4

Via RHSA-2009:1162 https://rhn.redhat.com/errata/RHSA-2009-1162.html

Comment 3 errata-xmlrpc 2009-07-22 01:30:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2009:1163 https://rhn.redhat.com/errata/RHSA-2009-1163.html

Comment 4 Jan Lieskovsky 2009-07-22 18:43:04 UTC
MITRE's CVE-2009-2463 entry:

Integer overflow in a base64 decoding function in Mozilla Firefox
before 3.0.12 and Thunderbird allows remote attackers to cause a
denial of service (memory corruption and application crash) or
possibly execute arbitrary code via unspecified vectors.

References:
-----------
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-2463
http://www.mozilla.org/security/announce/2009/mfsa2009-34.html
https://bugzilla.mozilla.org/show_bug.cgi?id=492779
http://www.securityfocus.com/bid/35758
http://secunia.com/advisories/35914
http://secunia.com/advisories/35943
http://secunia.com/advisories/35944
http://secunia.com/advisories/35947
http://www.vupen.com/english/advisories/2009/1972

Comment 5 Fedora Update System 2009-07-23 19:13:05 UTC
devhelp-0.22-10.fc10, blam-1.8.5-12.fc10, gecko-sharp2-0.13-10.fc10, galeon-2.0.7-12.fc10, gnome-python2-extras-2.19.1-32.fc10, evolution-rss-0.1.2-8.fc10, gnome-web-photo-0.3-20.fc10, mozvoikko-0.9.5-12.fc10, google-gadgets-0.10.5-8.fc10, kazehakase-0.5.6-4.fc10.4, mugshot-1.2.2-11.fc10, yelp-2.24.0-11.fc10, ruby-gnome2-0.19.0-3.fc10.1, Miro-2.0.5-2.fc10, epiphany-2.24.3-8.fc10, pcmanx-gtk2-0.3.8-11.fc10, xulrunner-1.9.0.12-1.fc10, firefox-3.0.12-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 errata-xmlrpc 2010-03-17 12:39:21 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0153 https://rhn.redhat.com/errata/RHSA-2010-0153.html

Comment 7 errata-xmlrpc 2010-03-17 13:25:41 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0154 https://rhn.redhat.com/errata/RHSA-2010-0154.html


Note You need to log in before you can comment on or make changes to this bug.